Name:		urlwatch
Version:	1.17
Release:	7.1
Url:		http://thp.io/2008/urlwatch/
License:	BSD
Summary:	A tool for monitoring webpages for updates
Group:		Productivity/Networking/Other
Source0:	%{name}-%{version}.tar.bz2
Patch0:		%{name}_xmpp_1.17.patch
Patch1:		urlwatch-html2txt_lynx-timeout.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	python >= 2.6
BuildRequires:	python-futures python-xmpp
Requires:	python >= 2.6
Requires:	python-futures python-xmpp

%description
This script is intended to help you watch URLs and get notified
(via email, xmpp or in your terminal) of any changes.
The change notification will include the URL that has changed and a unified diff of what has changed.

The script supports the use of a filtering hook function to strip trivially-varying elements of a webpage.


%prep
%setup
%patch0 -p1
%patch1 -p0

%build
python setup.py build

%install
%if 0%{?suse_version}
python setup.py install \
 --root=%{buildroot} \
 --prefix=%{_prefix} \
 --record-rpm=%{name}.filelist
sed -i s@"\.1$"@"\.1\.gz"@ %{name}.filelist
for a in /usr/share/man/man1 /usr/share/man /usr/share ; do
 sed -i s@"^${a}$"@""@ %{name}.filelist
done
cat %{name}.filelist
%else
python setup.py install \
 --root=%{buildroot} \
 --prefix=%{_prefix}
cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > %{_builddir}/%{name}-%{version}/%{name}.filelist
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> %{_builddir}/%{name}-%{version}/%{name}.filelist
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> %{_builddir}/%{name}-%{version}/%{name}.filelist
sed -i s@"\.py$"@"\.py\*"@g %{_builddir}/%{name}-%{version}/%{name}.filelist
sed -i s@"\.1$"@"\.1\.gz"@g %{_builddir}/%{name}-%{version}/%{name}.filelist
%endif


%clean
rm -rf %{buildroot}


%files -f %{name}.filelist
%defattr(-,root,root)

%changelog
* Sat Oct  4 2014 cs@linux-administrator.com
- update to release 1.17
- update xmpp patch to release 1.17
* Sun Jul 20 2014 cs@linux-administrator.com
- added urlwatch-html2txt_lynx-timeout.patch
- xmpp patch was never applied - fixed now
* Thu Aug 30 2012 cs@linux-administrator.com
- update to release 1.15
* Sat Apr  7 2012 cs@linux-administrator.com
- initial package
